/*
    Rosegarden
    A MIDI and audio sequencer and musical notation editor.

    This program is Copyright 2000-2008
        Guillaume Laurent   <glaurent@telegraph-road.org>,
        Chris Cannam        <cannam@all-day-breakfast.com>,
        Richard Bown        <richard.bown@ferventsoftware.com>

    The moral rights of Guillaume Laurent, Chris Cannam, and Richard
    Bown to claim authorship of this work have been asserted.

    Other copyrights also apply to some parts of this work.  Please
    see the AUTHORS file and individual file headers for details.

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.  See the file
    COPYING included with this distribution for more information.
*/

#ifndef _RG_SEGMENTSPLITBYRECORDINGSRCCOMMAND_H_
#define _RG_SEGMENTSPLITBYRECORDINGSRCCOMMAND_H_

#include <kcommand.h>
#include <tqstring.h>
#include <tdelocale.h>
#include "gui/application/RosegardenDCOP.h"




namespace Rosegarden
{

class Segment;
class Composition;


class SegmentSplitByRecordingSrcCommand : public KNamedCommand
{
public:
    SegmentSplitByRecordingSrcCommand(Segment *segment,
                                      int channel, int device);
    virtual ~SegmentSplitByRecordingSrcCommand();
    
    static TQString getGlobalName()
        { return i18n("Split by &Recording Source..."); }

    virtual void execute();
    virtual void unexecute();

private:
    Composition *m_composition;
    Segment *m_segment;
    Segment *m_newSegmentA;
    Segment *m_newSegmentB;
    int m_channel;
    int m_device;
    bool m_executed;
};


}

#endif
