/*
    Rosegarden
    A MIDI and audio sequencer and musical notation editor.

    This program is Copyright 2000-2008
        Guillaume Laurent   <glaurent@telegraph-road.org>,
        Chris Cannam        <cannam@all-day-breakfast.com>,
        Richard Bown        <richard.bown@ferventsoftware.com>

    The moral rights of Guillaume Laurent, Chris Cannam, and Richard
    Bown to claim authorship of this work have been asserted.

    Other copyrights also apply to some parts of this work.  Please
    see the AUTHORS file and individual file headers for details.

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.  See the file
    COPYING included with this distribution for more information.
*/

#ifndef _RG_PLAYLISTDIALOG_H_
#define _RG_PLAYLISTDIALOG_H_

#include <kdialogbase.h>
#include <tqstring.h>


class TQWidget;
class TQCloseEvent;


namespace Rosegarden
{

class PlayList;


class PlayListDialog : public KDialogBase
{
    Q_OBJECT
  

public:
    PlayListDialog(TQString caption, TQWidget* parent = 0, const char* name = 0);

    PlayList* getPlayList() { return m_playList; }

public slots:
    void slotClose();

signals:
    void closing();

protected:    
    virtual void closeEvent(TQCloseEvent *e);

    void save();
    void restore();

    //--------------- Data members ---------------------------------
    PlayList* m_playList;
};


}

#endif
