/*
    Rosegarden
    A MIDI and audio sequencer and musical notation editor.

    This program is Copyright 2000-2008
        Guillaume Laurent   <glaurent@telegraph-road.org>,
        Chris Cannam        <cannam@all-day-breakfast.com>,
        Richard Bown        <richard.bown@ferventsoftware.com>

    The moral rights of Guillaume Laurent, Chris Cannam, and Richard
    Bown to claim authorship of this work have been asserted.

    Other copyrights also apply to some parts of this work.  Please
    see the AUTHORS file and individual file headers for details.

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.  See the file
    COPYING included with this distribution for more information.
*/

#ifndef _RG_AUDIOPLUGINOSCGUI_H_
#define _RG_AUDIOPLUGINOSCGUI_H_

#ifdef HAVE_LIBLO

#include <lo/lo.h>

#include <tqstring.h>


class TDEProcess;


namespace Rosegarden
{

class AudioPluginInstance;


class AudioPluginOSCGUI
{
public:
    AudioPluginOSCGUI(AudioPluginInstance *instance,
                      TQString serverURL, TQString friendlyName);
    virtual ~AudioPluginOSCGUI();

    void setGUIUrl(TQString url);

    void show();
    void hide();
    void quit();
    void sendProgram(int bank, int program);
    void sendPortValue(int port, float value);
    void sendConfiguration(TQString key, TQString value);

    static TQString getGUIFilePath(TQString identifier);

protected:
    TDEProcess *m_gui;
    lo_address m_address;
    TQString m_basePath;
    TQString m_serverUrl;
};
    


}


#endif

#endif
