/*
    Rosegarden
    A MIDI and audio sequencer and musical notation editor.

    This program is Copyright 2000-2008
        Guillaume Laurent   <glaurent@telegraph-road.org>,
        Chris Cannam        <cannam@all-day-breakfast.com>,
        Richard Bown        <richard.bown@ferventsoftware.com>

    The moral rights of Guillaume Laurent, Chris Cannam, and Richard
    Bown to claim authorship of this work have been asserted.

    Other copyrights also apply to some parts of this work.  Please
    see the AUTHORS file and individual file headers for details.

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.  See the file
    COPYING included with this distribution for more information.
*/

#ifndef _RG_ROSEGARDENLABEL_H_
#define _RG_ROSEGARDENLABEL_H_

#include <tqlabel.h>


class TQWidget;
class TQWheelEvent;
class TQMouseEvent;


namespace Rosegarden
{

class Label : public TQLabel
{
    Q_OBJECT
  
public:
    Label(TQWidget *parent = 0, const char *name=0):
        TQLabel(parent, name) {;}

protected:
    virtual void mouseDoubleClickEvent(TQMouseEvent * /*e*/)
        { emit doubleClicked(); }

    virtual void wheelEvent(TQWheelEvent * e) 
        { emit scrollWheel(e->delta()); }

signals:
    void doubleClicked();
    void scrollWheel(int);

};


}

#endif
